Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 822097 - Remove invalid deps in 5.3.x/guvnor-distribution/pom.xml
Summary: Remove invalid deps in 5.3.x/guvnor-distribution/pom.xml
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor)
Version: BRMS 5.3.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Geoffrey De Smet
QA Contact: Ryan Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-16 10:33 UTC by Ryan Zhang
Modified: 2012-05-28 01:31 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Ryan Zhang 2012-05-16 10:33:20 UTC
Description of problem:
I believe this dependency in Guvnor 5.3.x is invalid.
https://github.com/droolsjbpm/guvnor/blob/5.3.x/guvnor-distribution/pom.xml

<dependency>
<rzhang>       <groupId>org.drools</groupId>
<rzhang>       <artifactId>guvnor-distribution-wars</artifactId>
<rzhang>       <type>war</type>
<rzhang>       <classifier>jboss-as-6.0</classifier>
<rzhang> </dependency>

Have comfirmed with Geoffrey, he can fix it easilly.but needs to grant the  block+ for this issue.

Please grant this issue, it's a simple  bug for product build. It needs to be fixed.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ryan Zhang 2012-05-16 10:34:41 UTC
This is only a build time issue, so no need to verify by QE.

Comment 2 Geoffrey De Smet 2012-05-16 10:36:51 UTC
This is an easy fix, I got it locally. Ping me when I can push the change.

Comment 3 Geoffrey De Smet 2012-05-16 11:44:53 UTC
Fixed on 5.3.x. Master and 5.4.x do not suffer from it.
https://github.com/droolsjbpm/guvnor/commit/68783361b1914efb9160d017d352bc08cf14fb46

Comment 4 Ryan Zhang 2012-05-21 09:27:15 UTC
This is a build issue. Verified and I would put it in VERIFIED directly.


Note You need to log in before you can comment on or make changes to this bug.